<?php

declare(strict_types=1);


namespace App\Exchanges;


use IteratorAggregate;

class ExchangeProvider
{

    /**
     * @var IteratorAggregate
     */
    private IteratorAggregate $exchanges;

    public function __construct(
        IteratorAggregate $exchanges
    )
    {
        $this->exchanges = $exchanges;
    }

    /**
     * @return ExchangeInterface[]
     */
    public function getExchanges(): array
    {
        return iterator_to_array($this->exchanges->getIterator());
    }
}